Subject: [bug#29409] [PATCH] vm: Use os-defined initrd intead of base-initrd.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 26 Nov 2017 13:49:48 +0100

Hey Ludo !

> A potential issue is that we don’t know whether the user-provided initrd
> procedure honors #:volatile-root? et al.  Maybe that’s not much of a
> problem in practice: we can assume that it’s up to the user to do the
> right thing.
>
> I’d say go for it and we’ll adjust if/when it’s a problem.
>
> Thoughts?

Well i agree, it's true that this raw-initrd thing is a bit fragile but
that's the only way for users to define handcrafted initrds.

So i'll push but maybe we need to find something better than
raw-initrd to cover this need.

Thanks,

Mathieu